# describe-variable(2)

[Home] [Commands] [Variables] [Macro-Dev] [Glossary]

## NAME

describe-variable - Describe current setting of a variable

## SYNOPSIS

describe-variable (C-h v)

## DESCRIPTION

describe-variable describes the current setting of the given variable (%, : and $ variables), returning `ERROR` if the variable is undefined. If a `$` variable is not found then it is tested for an environment variable, i.e.

    describe-variable $PATH

returns your environment `$PATH` setting. This is the easiest and best way of determining the current platform from within a Macro file.

The returned value of any undefined variable is the string `ERROR`.

## NOTES

Completion is enabled on the command line for variable names.

## SEE ALSO

describe-key(2), help-variable(2), set-variable(2).

(c) Copyright JASSPA 2009
Last Modified: 2009/08/29
Generated On: 2009/10/12

</HMTL>